# TaxSessionsPublicController_GLReconDetail

Downloads the GL Recon Detail report.

`GET /api/v1/TaxSessions/GLReconDetail`

**API:** Excise Platform API
**Tag:** Tax Sessions
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `text/csv`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/Tax%20Sessions/TaxSessionsPublicController_GLReconDetail/

## Description

Downloads the General Ledger reconciliation detail report for the specified tax session as a
CSV or Excel file. The company must be licensed for GL Recon and the company account must have
General Ledger Reconciliation active. GL Recon data must be generated before downloading.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `headerId` | integer | query | Yes | The header id of the specified tax session. |
| `format` | string | query | No | Export format: CSV, XLSX, or Excel (Default: CSV). Excel is treated as XLSX. |
| `fields` | string | query | No | Comma-separated list of fields to include in the export. If omitted, all fields are included. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the file content as text/csv or application/vnd.openxmlformats-officedocument.spreadsheetml.sheet. |  |
| 400 | The HeaderId is invalid, GL Recon is not licensed/active, invalid format, or data not generated. |  |
| 401 | Authentication credentials are incorrect. |  |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/TaxSessions/GLReconDetail" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```